LeveledManifest (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.db.compaction

## Class LeveledManifest

- java.lang.Object
- - org.apache.cassandra.db.compaction.LeveledManifest

-     public class LeveledManifest
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LeveledManifest.CompactionCandidate`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<SSTableReader>[]` | `generations`
    `protected java.util.List<SSTableReader>` | `unrepairedL0`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(SSTableReader reader)`
    `static LeveledManifest` | `create(ColumnFamilyStore cfs, int maxSSTableSize, java.lang.Iterable<SSTableReader> sstables, SizeTieredCompactionStrategyOptions options)`
    `static LeveledManifest` | `create(ColumnFamilyStore cfs, int maxSSTableSize, java.util.List<SSTableReader> sstables)`
    `int[]` | `getAllLevelSize()`
    `LeveledManifest.CompactionCandidate` | `getCompactionCandidates()`
    `int` | `getEstimatedTasks()`
    `java.util.List<SSTableReader>` | `getLevel(int i)`
    `int` | `getLevelCount()`
    `int` | `getLevelSize(int i)`
    `java.util.SortedSet<SSTableReader>` | `getLevelSorted(int level, java.util.Comparator<SSTableReader> comparator)`
    `int` | `getNextLevel(java.util.Collection<SSTableReader> sstables)`
    `boolean` | `hasRepairedData()`
    `int` | `remove(SSTableReader reader)`
    `void` | `repairOverlappingSSTables(int level)`
    `void` | `repairStatusChanged(java.util.Collection<SSTableReader> sstables)`
    `void` | `replace(java.util.Collection<SSTableReader> removed, java.util.Collection<SSTableReader> added)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### generations

          protected final java.util.List<SSTableReader>[] generations

    - #### unrepairedL0

          protected final java.util.List<SSTableReader> unrepairedL0

  - ### Method Detail

    - #### create

          public static LeveledManifest create(ColumnFamilyStore cfs,
                               int maxSSTableSize,
                               java.util.List<SSTableReader> sstables)

    - #### create

          public static LeveledManifest create(ColumnFamilyStore cfs,
                               int maxSSTableSize,
                               java.lang.Iterable<SSTableReader> sstables,
                               SizeTieredCompactionStrategyOptions options)

    - #### add

          public void add(SSTableReader reader)

    - #### replace

          public void replace(java.util.Collection<SSTableReader> removed,
                     java.util.Collection<SSTableReader> added)

    - #### repairOverlappingSSTables

          public void repairOverlappingSSTables(int level)

    - #### repairStatusChanged

          public void repairStatusChanged(java.util.Collection<SSTableReader> sstables)

    - #### getCompactionCandidates

          public LeveledManifest.CompactionCandidate getCompactionCandidates()

      Returns:
        highest-priority sstables to compact, and level to compact them to If no compactions are necessary, will return null

    - #### getLevelSize

          public int getLevelSize(int i)

    - #### getAllLevelSize

          public int[] getAllLevelSize()

    - #### remove

          public int remove(SSTableReader reader)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getLevelCount

          public int getLevelCount()

    - #### getLevelSorted

          public java.util.SortedSet<SSTableReader> getLevelSorted(int level,
                                                          java.util.Comparator<SSTableReader> comparator)

    - #### getLevel

          public java.util.List<SSTableReader> getLevel(int i)

    - #### getEstimatedTasks

          public int getEstimatedTasks()

    - #### getNextLevel

          public int getNextLevel(java.util.Collection<SSTableReader> sstables)

    - #### hasRepairedData

          public boolean hasRepairedData()

Copyright © 2014 The Apache Software Foundation